Package org.apache.sling.distribution.journal.shared

## Class DistributionMetricsService.GaugeService<T>

- java.lang.Object
- - org.apache.sling.distribution.journal.shared.DistributionMetricsService.GaugeService<T>

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.sling.commons.metrics.Gauge<T>`

Enclosing class:
  DistributionMetricsService

    public class DistributionMetricsService.GaugeService<T>
    extends Object
    implements org.apache.sling.commons.metrics.Gauge<T>, Closeable

### Field Summary

### Fields inherited from interface org.apache.sling.commons.metrics.Gauge

`NAME`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`T` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getValue

    public T getValue()

Specified by:
  `getValue` in interface `org.apache.sling.commons.metrics.Gauge<T>`

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`